#include <iostream>
#include <algorithm>
using namespace std;
int brcifara(unsigned long long n)
{
	if (n < 10) return 1;
	else return 1 + brcifara(n / 10);
}
int main()
{
	unsigned long long a, b, c;
	cin >> a >> b >> c;
	unsigned long long k1 = a * pow(10, brcifara(b) + brcifara(c)) + b * pow(10, brcifara(c)) + c;
	unsigned long long k2 = a * pow(10, brcifara(c) + brcifara(b)) + c * pow(10, brcifara(b)) + b;
	unsigned long long k3 = b * pow(10, brcifara(a) + brcifara(c)) + a * pow(10, brcifara(c)) + c;
	unsigned long long k4 = b * pow(10, brcifara(c) + brcifara(a)) + c * pow(10, brcifara(a)) + a;
	unsigned long long k5 = c * pow(10, brcifara(a) + brcifara(b)) + a * pow(10, brcifara(b)) + b;
	unsigned long long k6 = c * pow(10, brcifara(b) + brcifara(a)) + b * pow(10, brcifara(a)) + a;
	unsigned long long najveci = max(k1, max(k2, max(k3, max(k4, max(k5, k6)))));
	cout << najveci;
}